kdecore Library: NETRootInfo Class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# NETRootInfo Class Reference

Common API for root window properties/protocols. More...

`#include <netwm.h>`

Inheritance diagram for NETRootInfo:

[legend]
Collaboration diagram for NETRootInfo:

[legend]
List of all members.

## Public Types
enum | { PROTOCOLS, WINDOW_TYPES, STATES, PROTOCOLS2, ACTIONS, PROPERTIES_SIZE }
## Public Member Functions
| NETRootInfo (Display *display, Window supportWindow, const char *wmName, const unsigned long properties[], int properties_size, int screen=-1, bool doActivate=true)
| NETRootInfo (Display *display, Window supportWindow, const char *wmName, unsigned long properties, int screen=-1, bool doActivate=true) KDE_DEPRECATED
| NETRootInfo (Display *display, const unsigned long properties[], int properties_size, int screen=-1, bool doActivate=true)
| NETRootInfo (Display *display, unsigned long properties, int screen=-1, bool doActivate=true)
| NETRootInfo (const NETRootInfo &rootinfo)
virtual | ~NETRootInfo ()
Display * | x11Display () const
Window | rootWindow () const
Window | supportWindow () const
const char * | wmName () const
int | screenNumber () const
bool | isSupported (NET::Property property) const
bool | isSupported (NET::Property2 property) const
bool | isSupported (NET::WindowType type) const
bool | isSupported (NET::State state) const
bool | isSupported (NET::Action action) const
const unsigned long * | supportedProperties () const
const unsigned long * | passedProperties () const
unsigned long | supported () const KDE_DEPRECATED
const Window * | clientList () const
int | clientListCount () const
const Window * | clientListStacking () const
int | clientListStackingCount () const
const Window * | kdeSystemTrayWindows () const
int | kdeSystemTrayWindowsCount () const
NETSize | desktopGeometry (int desktop) const
NETPoint | desktopViewport (int desktop) const
NETRect | workArea (int desktop) const
const char * | desktopName (int desktop) const
const Window * | virtualRoots () const
int | virtualRootsCount () const
int | numberOfDesktops () const
int | currentDesktop () const
Window | activeWindow () const
void | activate ()
void | setClientList (Window *windows, unsigned int count)
void | setClientListStacking (Window *windows, unsigned int count)
void | setKDESystemTrayWindows (Window *windows, unsigned int count)
void | setCurrentDesktop (int desktop)
void | setDesktopGeometry (int desktop, const NETSize &geometry)
void | setDesktopViewport (int desktop, const NETPoint &viewport)
void | setNumberOfDesktops (int numberOfDesktops)
void | setDesktopName (int desktop, const char *desktopName)
void | setActiveWindow (Window window, NET::RequestSource src, Time timestamp, Window active_window)
void | setActiveWindow (Window window)
void | setWorkArea (int desktop, const NETRect &workArea)
void | setVirtualRoots (Window *windows, unsigned int count)
const NETRootInfo & | operator= (const NETRootInfo &rootinfo)
void | closeWindowRequest (Window window)
void | moveResizeRequest (Window window, int x_root, int y_root, Direction direction)
void | moveResizeWindowRequest (Window window, int flags, int x, int y, int width, int height)
void | restackRequest (Window window, RequestSource source, Window above, int detail, Time timestamp)
void | restackRequest (Window window, Window above, int detail)
void | event (XEvent *event, unsigned long *properties, int properties_size)
unsigned long | event (XEvent *event)
## Protected Member Functions
virtual void | addClient (Window window)
virtual void | removeClient (Window window)
virtual void | addSystemTrayWin (Window window)
virtual void | removeSystemTrayWin (Window window)
virtual void | changeNumberOfDesktops (int numberOfDesktops)
virtual void | changeDesktopGeometry (int desktop, const NETSize &geom)
virtual void | changeDesktopViewport (int desktop, const NETPoint &viewport)
virtual void | changeCurrentDesktop (int desktop)
virtual KDE_DEPRECATED void | changeActiveWindow (Window window)
virtual void | closeWindow (Window window)
virtual void | moveResize (Window window, int x_root, int y_root, unsigned long direction)
virtual void | virtual_hook (int id, void *data)
## Friends
class | NETRootInfo2
class | NETRootInfo3

## Detailed Description

Common API for root window properties/protocols.

The NETRootInfo class provides a common API for clients and window managers to set/read/change properties on the root window as defined by the NET Window Manager Specification..

Author:
  Bradley T. Hughes <bhughes@trolltech.com>

See also:
  NET

  NETWinInfo

  KWin

Definition at line 57 of file netwm.h.

## Member Enumeration Documentation

anonymous enum

| Indexes for the properties array. Since: 3.2 Definition at line 64 of file netwm.h.

## Constructor & Destructor Documentation

NETRootInfo::NETRootInfo | ( | Display * | display,
|  | Window | supportWindow,
|  | const char * | wmName,
|  | const unsigned long | properties[],
|  | int | properties_size,
|  | int | screen = `-1`,
|  | bool | doActivate = `true`
| ) |

  | Window Managers should use this constructor to create a NETRootInfo object, which will be used to set/update information stored on the rootWindow. The application role is automatically set to WindowManager when using this constructor. Parameters:
  | display | An X11 Display struct.
  | supportWindow | The Window id of the supportWindow. The supportWindow must be created by the window manager as a child of the rootWindow. The supportWindow must not be destroyed until the Window Manager exits.
  | wmName | A string which should be the window manager's name (ie. "KWin" or "Blackbox").
  | properties | An array of elements listing all properties and protocols the window manager supports. The elements contain OR'ed values of constants from the NET base class, in the following order: [0]= NET::Property, [1]= NET::WindowTypeMask (not NET::WindowType!), [2]= NET::State, [3]= NET::Property2, [4]= NET::Action. In future versions, the list may be extended. In case you pass less elements, the missing ones will be replaced with default values.
  | properties_size | The number of elements in the properties array.
  | screen | For Window Managers that support multiple screen (ie. "multiheaded") displays, the screen number may be explicitly defined. If this argument is omitted, the default screen will be used.
  | doActivate | true to activate the window
Since: 3.2 Definition at line 562 of file netwm.cpp.

NETRootInfo::NETRootInfo | ( | Display * | display,
|  | Window | supportWindow,
|  | const char * | wmName,
|  | unsigned long | properties,
|  | int | screen = `-1`,
|  | bool | doActivate = `true`
| ) |

| Deprecated: This constructor differs from the above one only in the way it accepts the list of supported properties. The properties argument is equivalent to the first element of the properties array in the above constructor. Definition at line 611 of file netwm.cpp. References activate(), and wmName().

NETRootInfo::NETRootInfo | ( | Display * | display,
|  | const unsigned long | properties[],
|  | int | properties_size,
|  | int | screen = `-1`,
|  | bool | doActivate = `true`
| ) |

  | Clients should use this constructor to create a NETRootInfo object, which will be used to query information set on the root window. The application role is automatically set to Client when using this constructor. Parameters:
  | display | An X11 Display struct.
  | properties | An array of elements listing all protocols the client is interested in. The elements contain OR'ed values of constants from the NET base class, in the following order: [0]= NET::Property, [1]= NET::Property2.
  | properties_size | The number of elements in the properties array.
  | screen | For Clients that support multiple screen (ie. "multiheaded") displays, the screen number may be explicitly defined. If this argument is omitted, the default screen will be used.
  | doActivate | true to activate the window
Since: 3.2 Definition at line 655 of file netwm.cpp. References activate().

NETRootInfo::NETRootInfo | ( | Display * | display,
|  | unsigned long | properties,
|  | int | screen = `-1`,
|  | bool | doActivate = `true`
| ) |

| This constructor differs from the above one only in the way it accepts the list of supported properties. The properties argument is equivalent to the first element of the properties array in the above constructor, and therefore you cannot read all root window properties using it. Definition at line 712 of file netwm.cpp. References activate().

NETRootInfo::NETRootInfo | ( | const NETRootInfo & | rootinfo | ) |

  | Creates a shared copy of the specified NETRootInfo object. Parameters:
  | rootinfo | the NETRootInfo object to copy
Definition at line 775 of file netwm.cpp.

NETRootInfo::~NETRootInfo | ( |  | ) | `[virtual]`

| Destroys the NETRootInfo object. Definition at line 790 of file netwm.cpp.

## Member Function Documentation

Display * NETRootInfo::x11Display | ( |  | ) | const

| Returns the X11 Display struct used. Returns: the X11 Display Definition at line 2428 of file netwm.cpp.

Window NETRootInfo::rootWindow | ( |  | ) | const

| Returns the Window id of the rootWindow. Returns: the id of the root window Definition at line 2433 of file netwm.cpp.

Window NETRootInfo::supportWindow | ( |  | ) | const

| Returns the Window id of the supportWindow. Returns: the id of the support window Definition at line 2438 of file netwm.cpp.

const char * NETRootInfo::wmName | ( |  | ) | const

| Returns the name of the Window Manager. Returns: the name of the window manager Definition at line 2443 of file netwm.cpp. Referenced by NETRootInfo().

int NETRootInfo::screenNumber | ( |  | ) | const

| Returns the screenNumber. Returns: the screen number Definition at line 2447 of file netwm.cpp.

bool NETRootInfo::isSupported | ( | NET::Property | property | ) | const

| Returns true if the given property is supported by the window manager. Note that for Client mode, NET::Supported needs to be passed in the properties argument for this to work. Since: 3.2 Definition at line 2468 of file netwm.cpp. Referenced by KStartupInfo::setNewStartupId().

bool NETRootInfo::isSupported | ( | NET::Property2 | property | ) | const

| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Since: 3.2 Definition at line 2472 of file netwm.cpp.

bool NETRootInfo::isSupported | ( | NET::WindowType | type | ) | const

| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Since: 3.2 Definition at line 2476 of file netwm.cpp.

bool NETRootInfo::isSupported | ( | NET::State | state | ) | const

| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Since: 3.2 Definition at line 2480 of file netwm.cpp.

bool NETRootInfo::isSupported | ( | NET::Action | action | ) | const

| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Since: 3.2 Definition at line 2484 of file netwm.cpp.

const unsigned long * NETRootInfo::supportedProperties | ( |  | ) | const

| In the Window Manager mode, this is equivalent to the properties argument passed to the constructor. In the Client mode, if NET::Supported was passed in the properties argument, the returned value is array of all protocols and properties supported by the Window Manager. The elements of the array are the same as they would be passed to the Window Manager mode constructor, the size is the maximum array size the constructor accepts. Since: 3.2 Definition at line 2458 of file netwm.cpp.

const unsigned long * NETRootInfo::passedProperties | ( |  | ) | const

| Returns the properties argument passed to the constructor. The size is the maximum array size the constructor accepts. Since: 3.2 Definition at line 2462 of file netwm.cpp.

unsigned long NETRootInfo::supported | ( |  | ) | const

| Deprecated: Returns an OR'ed list of protocols passed to the constructor. For the constructor used by Window Managers, this is equivalent to the first element of the properties argument, for the constructor for Clients, it's the properties argument. Clients willing to find out all properties and protocols supported by the WindowManager should use supportedProperties(). Returns: an OR'ed list of protocols See also: NET::Property Definition at line 2452 of file netwm.cpp.

const Window * NETRootInfo::clientList | ( |  | ) | const

| Returns an array of Window id's, which contain all managed windows. Returns: the array of Window id's See also: clientListCount() Definition at line 2488 of file netwm.cpp.

int NETRootInfo::clientListCount | ( |  | ) | const

| Returns the number of managed windows in clientList array. Returns: the number of managed windows in the clientList array See also: clientList() Definition at line 2493 of file netwm.cpp.

const Window * NETRootInfo::clientListStacking | ( |  | ) | const

| Returns an array of Window id's, which contain all managed windows in stacking order. Returns: the array of Window id's in stacking order See also: clientListStackingCount() Definition at line 2498 of file netwm.cpp.

int NETRootInfo::clientListStackingCount | ( |  | ) | const

| Returns the number of managed windows in the clientListStacking array. Returns: the number of Window id's in the client list See also: clientListStacking() Definition at line 2503 of file netwm.cpp.

const Window * NETRootInfo::kdeSystemTrayWindows | ( |  | ) | const

| Returns an array of Window id's, which contain all KDE system tray windows. Returns: the array of Window id's of system tray windows See also: kdeSystemTrayWindowsCount() Definition at line 2508 of file netwm.cpp.

int NETRootInfo::kdeSystemTrayWindowsCount | ( |  | ) | const

| Returns the number of windows in the kdeSystemTrayWindows array. Returns: the number of Window id's in the system tray list See also: kdeSystemTrayWindows() Definition at line 2513 of file netwm.cpp.

NETSize NETRootInfo::desktopGeometry | ( | int | desktop | ) | const

  | Returns the desktop geometry size. The desktop argument is ignored. Early drafts of the NET WM Specification were unclear about the semantics of this property. Parameters:
  | desktop | the number of the desktop
Returns: the size of the desktop Definition at line 2518 of file netwm.cpp. References NETSize::width.

NETPoint NETRootInfo::desktopViewport | ( | int | desktop | ) | const

  | Returns the viewport of the specified desktop. Parameters:
  | desktop | the number of the desktop
Returns: the position of the desktop's viewport Definition at line 2523 of file netwm.cpp.

NETRect NETRootInfo::workArea | ( | int | desktop | ) | const

  | Returns the workArea for the specified desktop. Parameters:
  | desktop | the number of the desktop
Returns: the size of the work area Definition at line 2533 of file netwm.cpp.

const char * NETRootInfo::desktopName | ( | int | desktop | ) | const

  | Returns the name for the specified desktop. Parameters:
  | desktop | the number of the desktop
Returns: the name of the desktop Definition at line 2543 of file netwm.cpp. Referenced by setDesktopName().

const Window * NETRootInfo::virtualRoots | ( |  | ) | const

| Returns an array of Window id's, which contain the virtual root windows. Returns: the array of Window id's See also: virtualRootsCount() Definition at line 2552 of file netwm.cpp.

int NETRootInfo::virtualRootsCount | ( |  | ) | const

| Returns the number of window in the virtualRoots array. Returns: the number of Window id's in the virtual root array See also: virtualRoots() Definition at line 2557 of file netwm.cpp.

int NETRootInfo::numberOfDesktops | ( |  | ) | const

| Returns the number of desktops. Returns: the number of desktops Definition at line 2562 of file netwm.cpp.

int NETRootInfo::currentDesktop | ( |  | ) | const

| Returns the current desktop. Returns: the number of the current desktop Definition at line 2567 of file netwm.cpp.

Window NETRootInfo::activeWindow | ( |  | ) | const

| Returns the active (focused) window. Returns: the id of the active window Definition at line 2572 of file netwm.cpp.

void NETRootInfo::activate | ( |  | ) |

| Window Managers must call this after creating the NETRootInfo object, and before using any other method in the class. This method sets initial data on the root window and does other post-construction duties. Clients must also call this after creating the object to do an initial data read/update. Definition at line 813 of file netwm.cpp. Referenced by NETRootInfo().

void NETRootInfo::setClientList | ( | Window * | windows,
|  | unsigned int | count
| ) |

  | Sets the list of managed windows on the Root/Desktop window. Parameters:
  | windows | The array of Window id's
  | count | The number of windows in the array
Definition at line 833 of file netwm.cpp.

void NETRootInfo::setClientListStacking | ( | Window * | windows,
|  | unsigned int | count
| ) |

  | Sets the list of managed windows in stacking order on the Root/Desktop window. Parameters:
  | windows | The array of Window id's
  | count | The number of windows in the array.
Definition at line 852 of file netwm.cpp.

void NETRootInfo::setKDESystemTrayWindows | ( | Window * | windows,
|  | unsigned int | count
| ) |

  | Sets the list of KDE system tray windows on the root window. Parameters:
  | windows | The array of window id's
  | count | The number of windows in the array.
Definition at line 871 of file netwm.cpp.

void NETRootInfo::setCurrentDesktop | ( | int | desktop | ) |

  | Sets the current desktop to the specified desktop. Parameters:
  | desktop | the number of the desktop
Definition at line 923 of file netwm.cpp.

void NETRootInfo::setDesktopGeometry | ( | int | desktop,
|  | const NETSize & | geometry
| ) |

  | Sets the desktop geometry to the specified geometry. The desktop argument is ignored. Early drafts of the NET WM Specification were unclear about the semantics of this property. Parameters:
  | desktop | the number of the desktop
  | geometry | the new size of the desktop
Definition at line 991 of file netwm.cpp.

void NETRootInfo::setDesktopViewport | ( | int | desktop,
|  | const NETPoint & | viewport
| ) |

  | Sets the viewport for the current desktop to the specified point. Parameters:
  | desktop | the number of the desktop
  | viewport | the new position of the desktop's viewport
Definition at line 1026 of file netwm.cpp.

void NETRootInfo::setNumberOfDesktops | ( | int | numberOfDesktops | ) |

  | Sets the number of desktops the the specified number. Parameters:
  | numberOfDesktops | the number of desktops
Definition at line 891 of file netwm.cpp.

void NETRootInfo::setDesktopName | ( | int | desktop,
|  | const char * | desktopName
| ) |

  | Sets the name of the specified desktop. Parameters:
  | desktop | the number of the desktop
  | desktopName | the new name of the desktop
Definition at line 955 of file netwm.cpp. References desktopName().

void NETRootInfo::setActiveWindow | ( | Window | window,
|  | NET::RequestSource | src,
|  | Time | timestamp,
|  | Window | active_window
| ) |

  | Requests that the specified window becomes the active (focused) one. Parameters:
  | window | the id of the new active window
  | src | whether the request comes from normal application or from a pager or similar tool
  | timestamp | X server timestamp of the user action that caused the request
  | active_window | active window of the requesting application, if any
Since: 3.2 Definition at line 1491 of file netwm.cpp. Referenced by setActiveWindow().

void NETRootInfo::setActiveWindow | ( | Window | window | ) |

  | Sets the active (focused) window the specified window. This should be used only in the window manager mode. Parameters:
  | window | the if of the new active window
Definition at line 1487 of file netwm.cpp. References setActiveWindow().

void NETRootInfo::setWorkArea | ( | int | desktop,
|  | const NETRect & | workArea
| ) |

  | Sets the workarea for the specified desktop. Parameters:
  | desktop | the number of the desktop
  | workArea | the new work area of the desktop
Definition at line 1522 of file netwm.cpp.

void NETRootInfo::setVirtualRoots | ( | Window * | windows,
|  | unsigned int | count
| ) |

  | Sets the list of virtual root windows on the root window. Parameters:
  | windows | The array of Window id's
  | count | The number of windows in the array.
Definition at line 1551 of file netwm.cpp.

const NETRootInfo & NETRootInfo::operator= | ( | const NETRootInfo & | rootinfo | ) |

| Assignment operator. Ensures that the shared data reference counts are correct. Definition at line 1720 of file netwm.cpp. References p, and role.

void NETRootInfo::closeWindowRequest | ( | Window | window | ) |

  | Clients (such as pagers/taskbars) that wish to close a window should call this function. This will send a request to the Window Manager, which usually can usually decide how to react to such requests. Parameters:
  | window | the id of the window to close
Definition at line 1568 of file netwm.cpp.

void NETRootInfo::moveResizeRequest | ( | Window | window,
|  | int | x_root,
|  | int | y_root,
|  | Direction | direction
| ) |

  | Clients (such as pagers/taskbars) that wish to start a WMMoveResize (where the window manager controls the resize/movement, i.e. _NET_WM_MOVERESIZE) should call this function. This will send a request to the Window Manager. Parameters:
  | window | The client window that would be resized/moved.
  | x_root | X position of the cursor relative to the root window.
  | y_root | Y position of the cursor relative to the root window.
  | direction | One of NET::Direction (see base class documentation for a description of the different directions).
Definition at line 1592 of file netwm.cpp.

void NETRootInfo::moveResizeWindowRequest | ( | Window | window,
|  | int | flags,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height
| ) |

  | Clients (such as pagers/taskbars) that wish to move/resize a window using WM2MoveResizeWindow (_NET_MOVERESIZE_WINDOW) should call this function. This will send a request to the Window Manager. See _NET_MOVERESIZE_WINDOW description for details. Parameters:
  | window | The client window that would be resized/moved.
  | flags | Flags specifying the operation (see _NET_MOVERESIZE_WINDOW description)
  | x | Requested X position for the window
  | y | Requested Y position for the window
  | width | Requested width for the window
  | height | Requested height for the window
Since: 3.2 Definition at line 1618 of file netwm.cpp.

void NETRootInfo::restackRequest | ( | Window | window,
|  | RequestSource | source,
|  | Window | above,
|  | int | detail,
|  | Time | timestamp
| ) |

| Sends the _NET_RESTACK_WINDOW request. Since: 3.3 Definition at line 1648 of file netwm.cpp. Referenced by restackRequest().

void NETRootInfo::restackRequest | ( | Window | window,
|  | Window | above,
|  | int | detail
| ) |

| Deprecated: Since: 3.2 Definition at line 1643 of file netwm.cpp. References restackRequest().

void NETRootInfo::event | ( | XEvent * | event,
|  | unsigned long * | properties,
|  | int | properties_size
| ) |

  | This function takes the passed XEvent and returns an OR'ed list of NETRootInfo properties that have changed in the properties argument. The new information will be read immediately by the class. The elements of the properties argument are as they would be passed to the constructor, if the array is not large enough, changed properties that don't fit in it won't be listed there (they'll be updated in the class though). Parameters:
  | event | the event
  | properties | properties that changed
  | properties_size | size of the passed properties array
Since: 3.2 Definition at line 1746 of file netwm.cpp. References NETRootInfo2::changeActiveWindow(), changeActiveWindow(), changeCurrentDesktop(), changeDesktopGeometry(), changeDesktopViewport(), changeNumberOfDesktops(), closeWindow(), event(), NETRootInfo2::gotPing(), NETRootInfo3::gotTakeActivity(), NETSize::height, moveResize(), NETRootInfo2::moveResizeWindow(), NETRootInfo2::restackWindow(), NETRootInfo3::restackWindow(), NETSize::width, NETPoint::x, and NETPoint::y. Referenced by event().

unsigned long NETRootInfo::event | ( | XEvent * | event | ) |

  | This function takes the passed XEvent and returns an OR'ed list of NETRootInfo properties that have changed. The new information will be read immediately by the class. This overloaded version returns only a single mask, and therefore cannot check state of all properties like the other variant. Parameters:
  | event | the event
Returns: the properties Definition at line 1739 of file netwm.cpp. References event().

virtual void NETRootInfo::addClient | ( | Window | window | ) | `[inline, protected, virtual]`

  | A Client should subclass NETRootInfo and reimplement this function when it wants to know when a window has been added. Parameters:
  | window | the id of the window to add
Definition at line 618 of file netwm.h.

virtual void NETRootInfo::removeClient | ( | Window | window | ) | `[inline, protected, virtual]`

  | A Client should subclass NETRootInfo and reimplement this function when it wants to know when a window has been removed. Parameters:
  | window | the id of the window to remove
Definition at line 626 of file netwm.h.

virtual void NETRootInfo::addSystemTrayWin | ( | Window | window | ) | `[inline, protected, virtual]`

  | A Client should subclass NETRootInfo and reimplement this function when it wants to know when a system tray window has been added. This is a KDE 2.0 extension. Parameters:
  | window | the id of the window to add
Definition at line 635 of file netwm.h.

virtual void NETRootInfo::removeSystemTrayWin | ( | Window | window | ) | `[inline, protected, virtual]`

  | A Client should subclass NETRootInfo and reimplement this function when it wants to know when a system tray window has been removed. This is a KDE 2.0 extension. Parameters:
  | window | the id of the window to remove
Definition at line 644 of file netwm.h.

virtual void NETRootInfo::changeNumberOfDesktops | ( | int | numberOfDesktops | ) | `[inline, protected, virtual]`

  | A Window Manager should subclass NETRootInfo and reimplement this function when it wants to know when a Client made a request to change the number of desktops. Parameters:
  | numberOfDesktops | the new number of desktops
Definition at line 653 of file netwm.h. Referenced by event().

virtual void NETRootInfo::changeDesktopGeometry | ( | int | desktop,
|  | const NETSize & | geom
| ) | `[inline, protected, virtual]`

  | A Window Manager should subclass NETRootInfo and reimplement this function when it wants to know when a Client made a request to change the specified desktop geometry. Parameters:
  | desktop | the number of the desktop
  | geom | the new size
Definition at line 664 of file netwm.h. Referenced by event().

virtual void NETRootInfo::changeDesktopViewport | ( | int | desktop,
|  | const NETPoint & | viewport
| ) | `[inline, protected, virtual]`

  | A Window Manager should subclass NETRootInfo and reimplement this function when it wants to know when a Client made a request to change the specified desktop viewport. Parameters:
  | desktop | the number of the desktop
  | viewport | the new position of the viewport
Definition at line 675 of file netwm.h. Referenced by event().

virtual void NETRootInfo::changeCurrentDesktop | ( | int | desktop | ) | `[inline, protected, virtual]`

  | A Window Manager should subclass NETRootInfo and reimplement this function when it wants to know when a Client made a request to change the current desktop. Parameters:
  | desktop | the number of the desktop
Definition at line 684 of file netwm.h. Referenced by event().

virtual KDE_DEPRECATED void NETRootInfo::changeActiveWindow | ( | Window | window | ) | `[inline, protected, virtual]`

  | Deprecated: Use NETRootInfo2::changeActiveWindow() instead. A Window Manager should subclass NETRootInfo and reimplement this function when it wants to know when a Client made a request to change the active (focused) window. The changeActiveWindow() method in NETRootInfo2 should be used instead. Parameters:
  | window | the id of the window to activate
Definition at line 695 of file netwm.h. Referenced by event().

virtual void NETRootInfo::closeWindow | ( | Window | window | ) | `[inline, protected, virtual]`

  | A Window Manager should subclass NETRootInfo and reimplement this function when it wants to know when a Client made a request to close a window. Parameters:
  | window | the id of the window to close
Definition at line 703 of file netwm.h. Referenced by event().

virtual void NETRootInfo::moveResize | ( | Window | window,
|  | int | x_root,
|  | int | y_root,
|  | unsigned long | direction
| ) | `[inline, protected, virtual]`

  | A Window Manager should subclass NETRootInfo and reimplement this function when it wants to know when a Client made a request to start a move/resize. Parameters:
  | window | The window that wants to move/resize
  | x_root | X position of the cursor relative to the root window.
  | y_root | Y position of the cursor relative to the root window.
  | direction | One of NET::Direction (see base class documentation for a description of the different directions).
Definition at line 718 of file netwm.h. Referenced by event().

The documentation for this class was generated from the following files:

- netwm.h
- netwm.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:50 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003